P4_CONSTANT(3)

NAME
p4_constant - CONSTANT ( value 'name' -- ) [ANS] [DOES: -- value ]

SYNOPSIS

#include <pfe/core-ext.h>

FCode p4_constant(---);

DESCRIPTION

CREATE a new word with runtime ((CONSTANT)) so that the value placed here is returned everytime the constant's name is used in code. See VALUE for constant-like names that are expected to change during execution of the program. In a ROM-able forth the CONSTANT-value may get into a shared ROM-area and is never copied to a RAM-address.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>